/*
 *  Draco Econometrics
 *  Copyright (C) 2008-2009 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.application.preferences;

import java.awt.Font;

public class EditorPreferences implements DracoPreferences {

	public static String TAG = "editor";
	
	private static final String DEFAULT_FONTNAME = "Monospaced-PLAIN-12";
	private static final int    DEFAULT_FONTSIZE = 12;
	
	private String fontName = null;
	private int fontSize = 12;
	private boolean antialiasing = true;
	
	public EditorPreferences() {
		Font font = Font.decode( DEFAULT_FONTNAME );
		fontName = font.getName();
		fontSize = DEFAULT_FONTSIZE;
		antialiasing = true;
	}
	
	public void apply() {
		// Needs implementation
	}

	public String getFontName() {
		return fontName;
	}
	
	public boolean isAntiAliasing() {
		return antialiasing;
	}

	public void setAntiAliasing(boolean value) {
		antialiasing = value;
	}
	
	public void setFontName(String fontName) {
		this.fontName = fontName;
	}

	public int getFontSize() {
		return fontSize;
	}

	public void setFontSize(int fontSize) {
		this.fontSize = fontSize;
	}

}
